=== debian/changelog ===
ros-eloquent-turtlebot3 (2.1.0-1bionic) bionic; urgency=high

  * ROS 2 Foxy Fitzroy supported
  * ROS 2 Eloquent Elusor supported
  * Enable Windows port
  * Contributors: Ryan, Ashe, Sean Yen

 -- Will Son <willson@robotis.com>  Sun, 21 Jun 2020 15:00:00 -0000

ros-eloquent-turtlebot3 (2.0.1-1bionic) bionic; urgency=high

  * Updated the CHANGELOG and version to release binary packages
  * Added missing exec_depend for nav2_bringup
  * Modified dependency packages
  * Contributors: Ruffin, Darby Lim, Pyo

 -- Will Son <willson@robotis.com>  Wed, 04 Sep 2019 15:00:00 -0000

ros-eloquent-turtlebot3 (2.0.0-1bionic) bionic; urgency=high

  * Supported ROS 2 Dashing Diademata
  * Updated the CHANGELOG and version to release binary packages
  * Removed ament_export_dependency(xacro) #462 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/462>
  * Added use_sim_time parameter for rviz2 #456 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/456>
  * Fixed ROS2 dependencies and library install #454 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/454>
  * Fixed turtlebot3.repos #447 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/447> #432 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/432>
  * Fixed scan rate to 5hz #418 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/418>
  * Initialized joint states variables #411 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/411>
  * Updated map.yaml #386 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/386>
  * Contributors: Matt Hansen, Alberto Soragna, Carl Delsey, sousou1, Emerson Knapp, Mikael Arguedas, Ross Desmond, Darby Lim, Pyo

 -- Will Son <willson@robotis.com>  Mon, 19 Aug 2019 15:00:00 -0000

ros-eloquent-turtlebot3 (1.2.2-1bionic) bionic; urgency=high

  * Fixed dwa local planner params for dwa_local_planner 1.16.2 #415 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/415>
  * This patch only applies to ROS 1 Melodic.
  * Contributors: atinfinity, Kayman

 -- Will Son <willson@robotis.com>  Mon, 19 Aug 2019 15:00:00 -0000

ros-eloquent-turtlebot3 (1.2.1-1bionic) bionic; urgency=high

  * Fixed typo #436 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/436>
  * Fixed ROS_ASSERT bug #416 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/416>
  * Deleted '/' to sync tf2 #402 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/402>
  * Added turtlebot3_remote.launch to turtlebot3_model.launch #389 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/389>
  * Contributors: Jonathan Hechtbauer, Pallav Bhalla, ant, Ryan Shim, Kayman, Darby Lim, Gilbert, Pyo

 -- Will Son <willson@robotis.com>  Mon, 19 Aug 2019 15:00:00 -0000

ros-eloquent-turtlebot3 (1.2.0-1bionic) bionic; urgency=high

  * changed math.ceil() operation #373 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/373>
  * fixed TypeError integers
  * fixed read of scanned samples when there isn't 360
  * updated map.yaml #348 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/348>
  * added an additional argument move_forward_only to prohibit backward locomotion in navigation #339 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/339>
  * fixed typo #280 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/280>
  * added windows port #358 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/358>
  * Contributors: Gilbert, Darby Lim, linzhibo, oiz5201618, yoshimalucky, Steven Macenski, Eduardo Avelar, Sean Yen, Pyo

 -- Will Son <willson@robotis.com>  Mon, 21 Jan 2019 15:00:00 -0000

ros-eloquent-turtlebot3 (1.1.0-1bionic) bionic; urgency=high

  * added bringup to load multiple robot simply #251
  * added arguments for multiple robot
  * added odometrySource
  * modified camera topic name
  * modified base_scan update_rate and add param on diff_drive #258
  * modified the laser scanner update_rate in the gazebo xacro files #258
  * modified origin of collision in Waffle URDF
  * updated turtlebot3_diagnostic node
  * updated firmware version from 1.2.0 to 1.2.2
  * updated get firmware version
  * updated version check function
  * updated warn msg for version check
  * deleted unused get_scan function #227
  * Contributors: Darby Lim, Gilbert, Eduardo Avelar, shtseng, Pyo

 -- Will Son <willson@robotis.com>  Sun, 22 Jul 2018 15:00:00 -0000

ros-eloquent-turtlebot3 (1.0.0-1bionic) bionic; urgency=high

  * added cartographer
  * added hector mapping
  * added karto SLAM
  * added frontier_exploration
  * added launch files to run various SLAMs
  * added robot model for OpenManipulator and turtlebot3_autorace
  * added exec python nodes like marker_server in catkin_install_python
  * added frameName for imu on gazebo (however, there is no effect.)
  * added variable to check version only once (turtlebot3_bringup)
  * modified global names #211 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/211> from FurqanHabibi/fix_global_topic_name
  * modified gmapping parameters
  * modified navigation parameters
  * modified version check and firmware version (turtlebot3_bringup)
  * modified robot names
  * modified range of lidar, lidar position, scan param
  * modified camera position and fixed slip bug
  * modified waffle_pi stl files
  * modified initial value, profile function, limit velocity msg (teleop)
  * merged pull request #154 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/154> #153 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/153> #148 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/148> #147 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/147> #146 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/146> #145 <https://github.com/ROBOTIS-GIT/turtlebot3/issues/145>
  * Contributors: Darby Lim, Leon Jung, Gilbert, KurtE, ncnynl, FurqanHabibi, skasperski, ihadzic, Pyo

 -- Will Son <willson@robotis.com>  Mon, 28 May 2018 15:00:00 -0000

ros-eloquent-turtlebot3 (0.2.1-1bionic) bionic; urgency=high

  * added install directory
  * refactoring for release
  * Contributors: Pyo

 -- Will Son <willson@robotis.com>  Tue, 13 Mar 2018 15:00:00 -0000


